#' bazar: miscellaneous basic functions
#' 
#' bazar provides a collection of miscellaneous functions for 
#' \itemize{
#'   \item copying objects to the clipboard (\code{\link{Copy}});
#'   \item manipulating strings (\code{\link{concat}}, \code{\link{mgsub}}, 
#'   \code{\link{trim}}, \code{\link{verlan}}); 
#'   \item loading or showing packages (\code{\link{library_with_dep}}, 
#'   \code{\link{require_with_dep}}, \code{\link{sessionPackages}}); 
#'   \item creating or testing for named lists (\code{\link{nlist}}, 
#'   \code{\link{as.nlist}}, \code{\link{is.nlist}}), 
#'   formulas (\code{\link{is.formula}}), empty objects 
#'   (\code{\link{as.empty}}, \code{\link{is.empty}}), 
#'   whole numbers (\code{\link{as.wholenumber}}, 
#'   \code{\link{is.wholenumber}}); 
#'   \item testing for equality (\code{\link{almost.equal}}, 
#'   \code{\link{almost.zero}}); 
#'   \item getting modified versions of usual functions 
#'   (\code{\link{rle2}}, \code{\link{sumNA}}); 
#'   \item making a pause or a stop (\code{\link{pause}}, 
#'   \code{\link{stopif}}); 
#'   \item and others (\code{\link{erase}}, \code{\link{\%in\%}}, 
#'   \code{\link{unwhich}}). 
#' }
#' 
#' @docType package
#' @name bazar
NULL
